```
1. Working directory vs repository
2. Three States of Git
  - Working directory - (root folder of project)
  - Staging area - (pre commit holding area)
  - Commit - (<root>/.git ~ maintains commit history )
3. Remote State - central remote git repository

draw.io
refer - kaushiwould-drive/draw.io/git/udemy/git-complete/section1/key-git-terminology
```